package org.hso.ecommerce.repos.shop;

import org.hso.ecommerce.entities.shop.Article;
import org.hso.ecommerce.entities.user.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface ArticleRepository extends JpaRepository<Article, Long> {

    @Query(nativeQuery = true, value = "Select * FROM articles where articles.id = :articleId")
    Article findArticleById(@Param("articleId") long articleId);


    //TODO: getCommercialisedArticles(int quantity)
    @Query("SELECT c FROM User c WHERE c.email = :quantity")
    List<Article> getCommercialisedArticles(@Param("quantity") String quantity);


    //TODO: getLastOrderedArticles(int quantity)
    @Query("SELECT c FROM User c WHERE c.email = :quantity")
    List<Article> getLastOrderedArticles(@Param("quantity") String quantity);


}

